<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();

if($apt->post[submit]){
$mod = $apt->get[mod];
    while (list($key,$value)= each($HTTP_POST_VARS))
    {
        $value  = $admin->format_data($value);
        $result = $apt->query("update rafia_mods_settings set set_val='$value' WHERE set_var='$key' and set_mod='$mod'");
    }
	modmsg("تم تعديل الاعدادات بنجاح<br>سوف تنتقل الان الى صفحة الاعدادات");
}else{

$admin->openform("mod.php?act=edit&mod=map&modid=$modid&".$admin->get_sess());
$admin->opentable('تعديل إعدادات خريطة الموقع');
editmodsetting($mod);
$admin->closetable();
$admin->submit(_UPDATE);
}
?>